Добавлена ​​поддержка Android-v4-библиотеки с appcompat-v7

В моем файле градиента build у меня есть две зависимости (appcompat-v7 и design), а затем любые файлы externar jar, которые я добавляю в проект

dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.2.1' compile 'com.android.support:design:22.2.1' } 

Нормально ли найти в библиотеках проектов (Структура проекта -> Библиотеки) внешние файлы jar, appcompat-v7, design-22.2.1, support-v4 и аннотации поддержки-22.2.1, я не понимаю, почему Добавляются два последних, я думаю, что они являются причиной другого вопроса, который у меня есть (dexDebug).

Кто-нибудь знает, нормально ли это? благодаря

Запуск ./gradlew -q app:dependencies показывает, что com.android.support:appcompat-v7 зависит от com.android.support:support-v4 , поэтому он втянут. Вам нужно будет найти отдельное решение для Ваша проблема с отладкой dex.

Intereting Posts
Я пытаюсь запустить приложение Android в adt, используя телефонную защелку Как получить возвращаемое значение из AsyncTask в главную активность? Остановка службы Android из потока Панель инструментов Android: маленький текст заголовка в ландшафтном режиме Как использовать универсальный загрузчик изображений для списка видео эскизов в android? Использование GoogleApiClient в службе Мобильный номер Ошибка входа в систему с ошибкой с помощью Facebook SDK Android: AutoCompleteTextView скрывает мягкую клавиатуру RecognizerIntent: как добавить пакет в ожидающее намерение ScrollView .scrollTo не работает? Сохранение позиции ScrollView при вращении Отключение аппаратного ускорения для mapView приводит к постоянному перерисовке Android-эмулятор Java. , ПРЕДУПРЕЖДЕНИЕ: раздел данных уже используется. Изменения не будут сохраняться Как используется параметр defStyleAttrs, используемый в getStyledAttributes Относительная компоновка Не получается ниже, как определено